#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	CSS
%define		pnam	Minifier-XS
Summary:	CSS::Minifier::XS - XS based CSS minifier
Name:		perl-CSS-Minifier-XS
Version:	0.13
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CSS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	310e620a4dd264a55696b5e4f8224428
URL:		http://search.cpan.org/dist/CSS-Minifier-XS/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CSS::Minifier::XS is a CSS "minifier"; its designed to remove un-necessary
whitespace and comments from CSS files, while also not breaking the CSS.

CSS::Minifier::XS is similar in function to CSS::Minifier, but is
substantially faster as its written in XS and not just pure Perl.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
    DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/CSS/Minifier
%{perl_vendorarch}/CSS/Minifier/*.pm
%dir %{perl_vendorarch}/auto/CSS/Minifier
%dir %{perl_vendorarch}/auto/CSS/Minifier/XS
%attr(755,root,root) %{perl_vendorarch}/auto/CSS/Minifier/XS/*.so
%{_mandir}/man3/*
%changelog
* Mon Sep 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-CSS-Minifier-XS.git;a=log;h=master

* Mon Sep 12 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 458f59f
- Up to 0.13

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 01c77a0
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> fdadd0e
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8ab3eee
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 1bc5448
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 87cbbf0
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 1361f4c
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ac41853
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> dc582a8
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c179757
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Tue Mar 22 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e895e08
- initial

